{% extends 'base.html.twig' %}

{% block title %}Symcrud Article {% endblock %}

{% block body %}
   {% if articles %}
       <table id = "articles" class="table table-striped">
         <thead>
             <tr>
                 <th> Firstname</th>
                 <th> Lastname </th>
                 <th> Username </th>
             </tr>
         </thead>
         <tbody>
             {% for article in articles %}
                <tr>
                    <td>{{ article.firstname }} </td>
                    <td>{{ article.lastname }} </td>
                    <td>{{ article.username }} </td>
                    <td>
                        <a href="/article/{{ article.id }}" class="btn btn-dark">Show</a>
                        <a href="/article/edit/{{ article.id }}" class="btn btn-light">Edit</a>
                        <a href="#" class="btn btn-danger delete-article" data-id="{{ article.id }}">Delete</a>
                    </td>
                 </tr>
                 {% endfor %}
         </tbody>
       </table>  
   {% else %}
      <p>No articles to display</p>
      {% endif %}
{% endblock %}

{% block javascripts %}
<script src = "/js/main.js"></script>
{% endblock %}